Usage
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
quantitynumber · doubleOptional
descriptionstring · nullableOptional
fromDatestring · date-timeRequired
toDatestring · date-time · nullableOptional
sourcestring · nullableOptional
ratedPricenumber · double · nullableOptional
ratedPriceCurrencystring · nullableOptional
validateDatabooleanOptional
Responses
201
Created
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
post/Usage
POST /Usage HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 339
{
"account": "A-000001",
"order": "O-000001",
"product": "OP-000001",
"charge": "OPC-000001",
"unit": "pcs",
"quantity": 1,
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"source": "text",
"ratedPrice": 1,
"ratedPriceCurrency": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"validateData": true
}No content
get
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
Skipinteger · int32OptionalExample:
Skip number of records
10Takeinteger · int32OptionalExample:
Take number of records
5FilterstringOptionalExample:
Filter the resulsts. See ODATA documentation for more information
name eq 'Adam' and age gt 20SortstringOptionalExample:
Sorting the results. See ODATA specificaion for more information
nameHeader parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
descriptionstring · nullableOptional
fromDatestring · date-timeOptional
toDatestring · date-time · nullableOptional
quantitynumber · doubleOptional
unitstring · nullableOptional
sourcestring · nullableOptional
importDatestring · date-timeOptional
processedbooleanOptional
ratedPricenumber · double · nullableOptional
ratedPriceCurrencyCodestring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/Usage
GET /Usage HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"unit": "text",
"source": "text",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"processed": true,
"ratedPrice": 1,
"ratedPriceCurrencyCode": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}
]Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
quantitynumber · double · nullableOptional
descriptionstring · nullableOptional
fromDatestring · date-time · nullableOptional
ratedPricenumber · double · nullableOptional
ratedPriceCurrencystring · nullableOptional
Responses
204
No Content
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
patch/Usage/{id}
PATCH /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 183
{
"unit": "pcs",
"quantity": 1,
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"ratedPrice": 1,
"ratedPriceCurrency": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}No content
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
delete/Usage/{id}
DELETE /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
descriptionstring · nullableOptional
fromDatestring · date-timeOptional
toDatestring · date-time · nullableOptional
quantitynumber · doubleOptional
unitstring · nullableOptional
sourcestring · nullableOptional
importDatestring · date-timeOptional
processedbooleanOptional
ratedPricenumber · double · nullableOptional
ratedPriceCurrencyCodestring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get/Usage/{id}
GET /Usage/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "text",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"unit": "text",
"source": "text",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"processed": true,
"ratedPrice": 1,
"ratedPriceCurrencyCode": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z"
}Import Usage Data in csv or json format.
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
mappingTemplateNamestring · min: 1Required
dateFormatstring · nullableOptional
decimalSeparatorstring · nullableOptional
dataFormatstring · nullableOptional
batchNamestring · nullableOptional
dataanyRequired
usePreprocessingRulesbooleanOptional
allowDuplicateEntriesbooleanOptional
breakOnValidationErrorbooleanOptional
Responses
200
Success
application/json
importDataTypestring · nullableOptional
batchIdstring · uuid · nullableOptional
hasErrorsbooleanOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
post/Usage/import
POST /Usage/import HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"mappingTemplateName": "text",
"dateFormat": "text",
"decimalSeparator": "text",
"dataFormat": "text",
"batchName": "text",
"data": null,
"usePreprocessingRules": true,
"allowDuplicateEntries": true,
"breakOnValidationError": true
}{
"importDataType": "text",
"batchId": "123e4567-e89b-12d3-a456-426614174000",
"hasErrors": true,
"errors": []
}Last updated